summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--common/scripts/ltp/skipfile-lsk-juno54
-rwxr-xr-xcommon/scripts/ltpfixup.sh29
-rw-r--r--openembedded/ltp.yaml3
-rw-r--r--ubuntu/ltp.yaml3
4 files changed, 77 insertions, 12 deletions
diff --git a/common/scripts/ltp/skipfile-lsk-juno b/common/scripts/ltp/skipfile-lsk-juno
new file mode 100644
index 0000000..65d9599
--- /dev/null
+++ b/common/scripts/ltp/skipfile-lsk-juno
@@ -0,0 +1,54 @@
+# Blacklist or skip tests list
+
+chdir01A symlink01 -T chdir01
+# chdir01 is failed due to the way LAVA mounted /tmp file system
+
+sysfs01 sysfs01
+sysfs02 sysfs02
+sysfs03 sysfs03
+sysfs04 sysfs04
+sysfs05 sysfs05
+sysfs06 sysfs06
+# sysfs01 sysfs02 sysfs03 sysfs04 sysfs05 and sysfs06 no more valid.
+# sysfs system call is obsolete; don't use it.
+# This test can only run on kernels that support the sysfs system call
+
+syslog01 syslog01
+syslog02 syslog02
+syslog03 syslog03
+syslog04 syslog04
+syslog05 syslog05
+syslog06 syslog06
+syslog07 syslog07
+syslog08 syslog08
+syslog09 syslog09
+syslog10 syslog10
+# The syslog tests are not valuable for us
+
+ustat01 ustat01
+ustat02 ustat02
+# ustat01 and ustat02 failed only on Juno, because this syscall not implemented on arm-64 architecture.
+# ustat(2) failed and setthe errno to 38 : Function not implemented
+
+overcommit_memory02 overcommit_memory -R 0
+# The testcase seems to be broken unless you have big enough swap so that
+# CommitLimit (which depends on size of the swap) is greater than
+# Commit_AS. In your case the swap size was not big enough to be greater
+# than the amount of currently overcommited memory (Commit_AS).
+
+# The test should be changed to skip the particular testcase and give a
+# beteter message if there is no room to alloace any memory in this case.
+# https://www.mail-archive.com/ltp-list@lists.sourceforge.net/msg19476.html
+# https://www.mail-archive.com/ltp-list@lists.sourceforge.net/msg19551.html
+
+cron02 cron02
+cron_deny01 cron_deny01
+cron_allow01 cron_allow01
+cron_dirs_checks01 cron_dirs_checks01
+# crontab: command not found
+# External package cron not installed on rootfs.
+# This test case comes under admin_tools, which is not critical for us
+
+acl_test01 export TCbin=$LTPROOT/testcases/bin;acl_test01
+# acl test cases comes under admin_tools
+# setfacl: /tmp/ltp-UH9jbROZVN/tacl/mount-ext3/test_file_link: Operation not supported
diff --git a/common/scripts/ltpfixup.sh b/common/scripts/ltpfixup.sh
index b0c0ca5..2d45877 100755
--- a/common/scripts/ltpfixup.sh
+++ b/common/scripts/ltpfixup.sh
@@ -5,26 +5,35 @@ SCRIPT=$(readlink -f $0)
# Absolute path this script is in. /home/user/bin
SCRIPTPATH=`dirname $SCRIPT`
echo "Script path is: $SCRIPTPATH"
+# List of test cases
+TST_CMDFILES=""
+# List of test cases to be skipped
+SKIPFILE=""
LTP_PATH=/opt/ltp
-# Second parameter is used as a path to LTP installation
-if [ "$#" -gt 1 ]; then
- LTP_PATH=$2
-fi
+
+while getopts T:S:P: arg
+ do case $arg in
+ T) TST_CMDFILES="$OPTARG";;
+ S) SKIPFILE="-S $SCRIPTPATH/ltp/$OPTARG";;
+ P) LTP_PATH=$OPTARG;;
+ esac
+done
+
cd $LTP_PATH
RESULT=pass
exec 4>&1
-error_statuses="`((./runltp -p -q -f $1 -l $SCRIPTPATH/LTP_$1.log -C $SCRIPTPATH/LTP_$1.failed || echo "0:$?" >&3) |
- (tee $SCRIPTPATH/LTP_$1.out || echo "1:$?" >&3)) 3>&1 >&4`"
+error_statuses="`((./runltp -p -q -f $TST_CMDFILES -l $SCRIPTPATH/LTP_$TST_CMDFILES.log -C $SCRIPTPATH/LTP_$TST_CMDFILES.failed $SKIPFILE || echo "0:$?" >&3) |
+ (tee $SCRIPTPATH/LTP_$TST_CMDFILES.out || echo "1:$?" >&3)) 3>&1 >&4`"
exec 4>&-
! echo "$error_statuses" | grep '0:' >/dev/null
if [ $? -ne 0 ]; then
RESULT=fail
fi
-lava-test-case LTP_$1 --result $RESULT
-find $SCRIPTPATH -name "LTP_$1.log" -print0 |xargs -0 cat
-tar czfv $SCRIPTPATH/LTP_$1.tar.gz $SCRIPTPATH/LTP*
-lava-test-case-attach LTP_$1 $SCRIPTPATH/LTP_$1.tar.gz
+lava-test-case LTP_$TST_CMDFILES --result $RESULT
+find $SCRIPTPATH -name "LTP_$TST_CMDFILES.log" -print0 |xargs -0 cat
+tar czfv $SCRIPTPATH/LTP_$TST_CMDFILES.tar.gz $SCRIPTPATH/LTP*
+lava-test-case-attach LTP_$TST_CMDFILES $SCRIPTPATH/LTP_$TST_CMDFILES.tar.gz
exit 0
diff --git a/openembedded/ltp.yaml b/openembedded/ltp.yaml
index deb1127..51dee9d 100644
--- a/openembedded/ltp.yaml
+++ b/openembedded/ltp.yaml
@@ -18,10 +18,11 @@ metadata:
params:
TST_CMDFILES: syscalls,mm,math,timers,fcntl-locktests,ipc,fsx,fs,hugetlb,io,nptl,pty,containers,fs_bind,filecaps,admin_tools,connectors
+ SKIPFILE: ""
run:
steps:
- - './common/scripts/ltpfixup.sh $TST_CMDFILES'
+ - './common/scripts/ltpfixup.sh -T $TST_CMDFILES -S $SKIPFILE'
parse:
pattern: "^(?!.+ED)(?P<test_case_id>\\w+)\\s+(?P<result>\\w+)\\s+\\d$"
diff --git a/ubuntu/ltp.yaml b/ubuntu/ltp.yaml
index 40f35df..fecbbd8 100644
--- a/ubuntu/ltp.yaml
+++ b/ubuntu/ltp.yaml
@@ -33,10 +33,11 @@ install:
params:
TST_CMDFILES: syscalls,mm,math,timers,fcntl-locktests,ipc,fsx,fs,hugetlb,io,nptl,pty,containers,fs_bind,filecaps,admin_tools,connectors
+ SKIPFILE: ""
run:
steps:
- - './common/scripts/ltpfixup.sh $TST_CMDFILES $(readlink -f build)'
+ - './common/scripts/ltpfixup.sh -T $TST_CMDFILES -P $(readlink -f build) -S $SKIPFILE'
parse:
pattern: "^(?!.+ED)(?P<test_case_id>\\w+)\\s+(?P<result>\\w+)\\s+\\d$"